GET /v1/contract/{id}/verification-status
Check verification status for all deployments of a contract project

Path Parameters

id string required path
Contract project ID

Responses

200 OK
application/json
deployments object[]
Array of:
chainId integer
contractAddress string
explorerUrl string
verified boolean
404 Not Found
curl -X GET 'https://api.example.com/v1/contract/string/verification-status' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/contract/string/verification-status', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/contract/string/verification-status', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/contract/string/verification-status", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "deployments": [    {      "chainId": 123,      "contractAddress": "<string>",      "explorerUrl": "<string>",      "verified": true    }  ]}
Ask a question... ⌘I